<?php
	// Needed for updating the user form
	require_once('includes/custom_functions.php');
	// Contains things like the product name, product tag line, support email, logo file, etc.
	require_once('config/config.php');
	$page_title = 'TweetSign Setup Page';
	require_once('templates/header.php');
	// The current page - this must match EXACTLY to what will be 
	// shown in navigation bar as the text
	$selected_page = 'Setup';
	require_once('templates/navbar.php');
	
	// If the user has submitted the form, update everything and write it out
	if(isset($_POST['submit_x'])){
		$ini_array = parse_ini_file($path_for_user_settings, true);
		$ini_array['general']['operating_mode'] = $_POST['basic_operating_mode'];
		$ini_array['general']['scrolling_mode'] = $_POST['scrolling_mode'];
		$ini_array['general']['scrolling_speed'] = $_POST['scrolling_speed'];
		
		// Check whether the user has used the '@' symbol for the user name
		// NOTE: For some reason, this doesn't work - so it has been accounted for in python by the library
		$atsymbol_pos = strpos($_POST['twitter_user'],'@');
		if($atsymbol_pos){
			echo 'Found string at position ' . (string)$atsymbol_pos;
			$twitter_user_submit = substr($_POST['twitter_user'],$atsymbol_pos+1);
		}else{
			// It's a username without the @ symbol
			$twitter_user_submit = $_POST['twitter_user'];
		}
		
		$ini_array['mode_1']['twitter_user'] = $twitter_user_submit;
		$ini_array['mode_100']['text_to_display'] = $_POST['static_text'];
		$ini_array['mode_3']['hashtag_mode'] = $_POST['hashtag_mode_option_mode_3'];
		$ini_array['mode_4']['hashtag_mode'] = $_POST['hashtag_mode_option_mode_4'];
		
		$success_msg = 'Changes successfully saved! Mode is now set to "' . $mode_description[$_POST['basic_operating_mode']] . '"' ;
		write_ini_file($ini_array, $path_for_user_settings, true);
	}
	// Load all of the user settings...
	// Parse with sections

	$ini_array = parse_ini_file($path_for_user_settings, true);
	$operating_mode = $ini_array['general']['operating_mode'];
	$scrolling_mode = $ini_array['general']['scrolling_mode'];
	$scrolling_speed = $ini_array['general']['scrolling_speed'];
	$twitter_user = $ini_array['mode_1']['twitter_user'];
	$static_text = $ini_array['mode_100']['text_to_display'];
	// Mode 0 includes everything, mode 1 excludes hashtags, mode 2 includes only hashtags
	$hashtag_mode_current_trends = $ini_array['mode_3']['hashtag_mode'];	
	$hashtag_mode_current_daily = $ini_array['mode_4']['hashtag_mode'];
?>
		
		<br />
		<!--<p style="font-size: 18pt; color: blue;"> <?php //if(isset($success_msg)){ echo $success_msg; } ?> </p>-->
		
		<!-- Success Message -->
		<?php 
		if(isset($success_msg)){ 
			echo '<div class="success">';
			echo $success_msg;
			echo '</div>';
		} ?>
				
	    <div id="bold_title_1"> Configure Your Options </div>
		<p style="font-size:14pt; color: green;"> Current Operating Mode: <?php echo "$mode_description[$operating_mode]"; ?> </p>
		<hr clear="left" />
		
		<!-- Form with options -->
         <div id="setup_form">
			<div class="form_intro_box" >
			<span><img src="images/bullet_go.png" style="margin-right:15px; margin-left:15px; margin-bottom:-3px;" /><strong style="font-size:14px;">General Settings: </strong> Change these to get set up very quickly...</span></div>
			
			<div id="shadow" align="center" style="margin-top:1px;">
				<img src="images/shadow.png" />
			</div>
			
			        
        <div id="form_inputs" style="margin-left:47px; margin-right:47px;">
        
	

		<form action="<?php $_SERVER['PHP_SELF'] ?>" method="post">
		
			<!-- Operating Mode Selection -->
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="250" valign="top"><p><strong>Basic Operating Mode:</strong><br />
                  Check "Advanced Settings" for more modes</p></td>
                <td> 
                    <select id="basic_operating_mode" name="basic_operating_mode" 
							style="width:570px; height:30px; outline:none;  font-weight:bold; padding-left:15px; padding-top:4px;">
					  <?php
						$basic_modes = array(0,1,3,4,100);
						foreach ($basic_modes as $i){
							if($operating_mode == $i){
								echo "<option value='$i' selected='selected'>";
							}else{
								echo "<option value='$i'>";
							}
							echo $mode_description[$i];
							echo '</option>';
						}
						?>
						<!-- Generates something like this:
                      <option value="0">Displaying recent tweets from random users </option>
                      <option value="1">Displaying tweets from a single, public, selected user</option>
					  -->
					</select>
				</td>
			  </tr>
			</table>
			
			

			<!-- MODE 1 -->
			<!-- Horizontal division between the form items -->
     		<div class="form_input_splitter" id="user_break_line" <?php  if($operating_mode!=1){echo 'style="display:none;"';} ?>></div>
			
			<!-- Twitter username selection -->
        	<table width="100%" border="0" cellspacing="0" cellpadding="0" id="public_user_selection" 
				<?php  if($operating_mode!=1){echo 'style="display:none;"';} ?> >
              <tr>
                <td width="250"><p><strong>Public User to Display Tweets From:</strong><br />
                Twitter username</p></td>
                <td><input type="text" class="form_input" name="twitter_user" value="<?php echo $twitter_user; ?>" style="width:550px;"  /></td>
              </tr>
            </table>
			
			<!-- MODE 3 -->
			<!-- Horizontal division between the form items -->
     		<div class="form_input_splitter" id="mode_3_break_line" <?php  if($operating_mode!=3){echo 'style="display:none;"';} ?>></div>
			
			<!-- Hashtag mode selection for current trends-->
			<table width="100%" border="0" cellspacing="0" cellpadding="0" id="mode_3_hashtag_selection" 
				<?php  if($operating_mode!=3){echo 'style="display:none;"';} ?>>
              <tr>
                <td width="250" valign="top"><p><strong>Handling Hashtags:</strong><br />
                  Include, Exclude, or Only</p></td>
                <td> 
                    <select id="hashtag_mode_option_mode_3" name="hashtag_mode_option_mode_3" 
							style="width:570px; height:30px; outline:none;  font-weight:bold; padding-left:15px; padding-top:4px;">
					  <?php
						for($i = 0; $i <= 2; $i++){
							if($hashtag_mode_current_trends == $i){
								echo "<option value='$i' selected='selected'>";
							}else{
								echo "<option value='$i'>";
							}
							// Found in config.php
							echo $hashtag_modes[$i];
							echo '</option>';
						}
						?>
					</select>
				</td>
			  </tr>
			</table>
			
			<!-- MODE 4 -->
			<!-- Horizontal division between the form items -->
     		<div class="form_input_splitter" id="mode_4_break_line" <?php  if($operating_mode!=4){echo 'style="display:none;"';} ?>></div>
			
			<!-- Hashtag mode selection for daily trends -->
			<table width="100%" border="0" cellspacing="0" cellpadding="0" id="mode_4_hashtag_selection" 
				<?php  if($operating_mode!=4){echo 'style="display:none;"';} ?>>
              <tr>
                <td width="250" valign="top"><p><strong>Handling Hashtags:</strong><br />
                  Include, Exclude, or Only</p></td>
                <td> 
                    <select id="hashtag_mode_option_mode_4" name="hashtag_mode_option_mode_4" 
							style="width:570px; height:30px; outline:none;  font-weight:bold; padding-left:15px; padding-top:4px;">
					  <?php
						for($i = 0; $i <= 2; $i++){
							if($hashtag_mode_current_daily == $i){
								echo "<option value='$i' selected='selected'>";
							}else{
								echo "<option value='$i'>";
							}
							// Found in config.php
							echo $hashtag_modes[$i];
							echo '</option>';
						}
						?>
					</select>
				</td>
			  </tr>
			</table>
			
			<!-- MODE 100 -->
			<!-- Horizontal division between the form items -->
     		<div class="form_input_splitter" id="st_user_break_line" <?php  if($operating_mode!=100){echo 'style="display:none;"';} ?>></div>
			
			<!-- Static Text Input Field -->
        	<table width="100%" border="0" cellspacing="0" cellpadding="0" id="static_text_selection" 
				<?php  if($operating_mode!=100){echo 'style="display:none;"';} ?> >
              <tr>
                <td width="250"><p><strong>Static Text to Display on Sign:</strong><br />
                ASCII characters only</p></td>
                <td><input type="text" class="form_input" name="static_text" value="<?php echo $static_text; ?>" style="width:550px;"  /></td>
              </tr>
            </table>
           
		   <!-- SIGN SETTINGS LIKE SPEED AND SCROLL MODE -->
		   
		    <!-- Horizontal division between the form items -->
     		<div class="form_input_splitter"></div>
			
			<!-- Scrolling Speed Selection -->
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="250" valign="top"><p><strong>Scrolling Speed:</strong><br />
                  How quickly the sign should scroll</p></td>
                <td> 
                    <select id="scrolling_speed" name="scrolling_speed" 
							style="width:270px; height:30px; outline:none;  font-weight:bold; padding-left:15px; padding-top:4px;">
					  <?php
						foreach($scrolling_speeds as $speed_choice){
							$speed_choice_lower = strtolower($speed_choice);
							// Capitalize only the first letter
							$speed_choice_proper = ucfirst($speed_choice_lower);
							if($scrolling_speed == $speed_choice_lower){
								echo "<option value='$speed_choice_lower' selected='selected'>";
							}else{
								echo "<option value='$speed_choice_lower'>";
							}
							echo $speed_choice_proper;
							echo '</option>';
						}
						?>
					</select>
				</td>
			  </tr>
			</table>

		    <!-- Horizontal division between the form items -->
     		<div class="form_input_splitter"></div>
			
			<!-- Scrolling Mode Selection -->
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="250" valign="top"><p><strong>Scrolling Mode:</strong><br />
                  How to display the text on the TweetSign</p></td>
                <td> 
                    <select id="scrolling_mode" name="scrolling_mode" 
							style="width:270px; height:30px; outline:none;  font-weight:bold; padding-left:15px; padding-top:4px;">
					  <?php
						foreach($scrolling_modes as $scrolling_mode_choice){
							$scrolling_mode_choice_lower = strtolower($scrolling_mode_choice);
							// Capitalize only the first letter
							$scrolling_mode_choice_proper = ucfirst($scrolling_mode_choice_lower);
							if($scrolling_mode == $scrolling_mode_choice_lower){
								echo "<option value='$scrolling_mode_choice_lower' selected='selected'>";
							}else{
								echo "<option value='$scrolling_mode_choice_lower'>";
							}
							echo $scrolling_mode_choice_proper;
							echo '</option>';
						}
						?>
					</select>
				</td>
			  </tr>
			</table>
			
			<!-- JAVASCRIPT ===> DYNAMIC CHANGES TO FORM -->
			<script language="javascript">
			// Find the item that's going to affect the change
			var basic_operating_mode = document.getElementById('basic_operating_mode');
			// Watch for it to change
			basic_operating_mode.onchange = function() {
				
			  // Find what's currently selected
			  var selected_option = this.options[this.options.selectedIndex];
			  // Get the second table
			  var public_user_selection = document.getElementById('public_user_selection');
			  var user_break_line = document.getElementById('user_break_line');
			  //alert(selected_option.value);
			  
			  // HIDE EVERYTHING AT FIRST, then selectively turn on
			  public_user_selection.style.display="none";
			  user_break_line.style.display="none";
			  
			  mode_3_hashtag_selection.style.display="none";
			  mode_3_break_line.style.display="none";	

			  mode_4_hashtag_selection.style.display="none";
			  mode_4_break_line.style.display="none";
			  
			  static_text_selection.style.display="none";
			  st_user_break_line.style.display="none";
				  
			  if(selected_option.value == '1'){
				  // Make it visible
				  public_user_selection.style.display="inline";
				  user_break_line.style.display="";
			  }else if(selected_option.value == '3'){
				  // Make the hashtag option visible for current trends
				  mode_3_hashtag_selection.style.display="inline";
				  mode_3_break_line.style.display="";			  
			  }else if(selected_option.value == '4'){
				  // Make the hashtag option visible for daily trends
				  mode_4_hashtag_selection.style.display="inline";
				  mode_4_break_line.style.display="";			  
			  }else if(selected_option.value == '100'){
				  // Make the static text field visible
				  static_text_selection.style.display="inline";
				  st_user_break_line.style.display="";
			  }else{
				  // Do nothing
			  }
			};
			</script>
			
			
			<div align="center">
				<span><input type="image" name="submit" src="images/savechanges.png" /></span>
			</div>
		</form>
			
        </div>
		
		
		
<?php
	require_once('templates/footer.php');
?>
